{
  stdenv
, spec-cpu
}:

stdenv.mkDerivation rec {
  pname = "spec-cpu-mini";
  version = spec-cpu.version;
  src = null;
  unpackPhase = "true";

  # Select only a subset of the benchmarks:
  # https://www.spec.org/cpu2017/Docs/#benchdocs
  benchList = [
    # -- SPECspeed 2017 Integer --
    "600.perlbench_s"
    "602.gcc_s"
    "605.mcf_s"
    "620.omnetpp_s"
    #"623.xalancbmk_s" # Big
    #"625.x264_s" # Big
    "631.deepsjeng_s"
    "641.leela_s"
    "648.exchange2_s"
    "657.xz_s"
  ];

  dontConfigure = true;
  dontBuild = true;
  installPhase = ''
    mkdir -p $out/benchspec/CPU
    for bench in $benchList; do
      cp -a ${spec-cpu}/benchspec/CPU/$bench $out/benchspec/CPU/
    done
  '';
  enableParallelBuilding = false;
  hardeningDisable = [ "all" ];
  dontStrip = true;
}
